Package: groovy.inspect.swingui

## [Java] Class TableSorter

- groovy.inspect.swingui.TableSorter

-     @Deprecated
      public class TableSorter
      extends TableMap

  A sorter for TableModels. The sorter has a model (conforming to TableModel) and itself implements TableModel. TableSorter does not store or copy the data in the TableModel, instead it maintains an array of integers which it keeps the same size as the number of rows in its model. When the model changes it notifies the sorter that something has changed eg. "rowsAdded" so that its internal array of integers can be reallocated. As requests are made of the sorter (like getValueAt(row, col) it redirects them to its model via the mapping array. That way the TableSorter appears to hold another copy of the table with the rows in a different order. The sorting algorithm used is stable which means that it does not move around rows when its comparison function returns 0 to denote that they are equivalent.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class TableMap` | `model`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TableSorter ()`
    `TableSorter (TableModel model)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addMouseListenerToHeaderInTable(JTable table)`
    `` | `public void` | `checkModel()`
    `` | `public int` | `compare(int row1, int row2)`
    `` | `public int` | `compareRowsByColumn(int row1, int row2, int column)`
    `` | `public Object` | `getValueAt(int aRow, int aColumn)`
    `` | `public void` | `mouseClicked(MouseEvent e)`
    `` | `public void` | `n2sort()`
    `` | `public void` | `reallocateIndexes()`
    `` | `public void` | `setModel(TableModel model)`
    `` | `public void` | `setValueAt(Object aValue, int aRow, int aColumn)`
    `` | `public void` | `shuttlesort(int[] from, int[] to, int low, int high)`
    `` | `public void` | `sort(Object sender)`
    `` | `public void` | `sortByColumn(int column)`
    `` | `public void` | `sortByColumn(int column, boolean ascending)`
    `` | `public void` | `swap(int i, int j)`
    `` | `public void` | `tableChanged(TableModelEvent e)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class TableMap` | `getColumnClass, getColumnCount, getColumnName, getModel, getRowCount, getValueAt, isCellEditable, setModel, setValueAt, tableChanged`

- - ### Constructor Detail

    - #### public TableSorter()

    - #### public TableSorter(TableModel model)

  - ### Method Detail

    - #### public void addMouseListenerToHeaderInTable(JTable table)

    - #### public void checkModel()

    - #### public int compare(int row1, int row2)

    - #### public int compareRowsByColumn(int row1, int row2, int column)

    - #### public Object getValueAt(int aRow, int aColumn)

    - #### public void mouseClicked(MouseEvent e)

    - #### public void n2sort()

    - #### public void reallocateIndexes()

    - #### public void setModel(TableModel model)

    - #### public void setValueAt(Object aValue, int aRow, int aColumn)

    - #### public void shuttlesort(int[] from, int[] to, int low, int high)

    - #### public void sort(Object sender)

    - #### public void sortByColumn(int column)

    - #### public void sortByColumn(int column, boolean ascending)

    - #### public void swap(int i, int j)

    - #### public void tableChanged(TableModelEvent e)